<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT120000NL_JE">
    <title>Journaalregel</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT120000NL_JE: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT120000NL_JE: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        
        <assert role="error" test="ancestor::hl7:encounter or hl7:effectiveTime/@value"
            >COCT_MT120000NL_JE: effectiveTime is verplicht in een niet-contactgebonden journaalregel</assert>
        <assert role="error" test="string-length(normalize-space(hl7:value/text()[1])) &gt; 0"
            >COCT_MT120000NL_JE: value moet verplicht journaalregeltekst bevatten</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT120000NL_JE: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <assert role="error" test="@code='S' or @code='O' or @code='E' or @code='P'"
            >COCT_MT120000NL_JE: @code moet één van S, O, E of P bevatten</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.32.2'"
            >COCT_MT120000NL_JE: @codeSystem moet '2.16.840.1.113883.2.4.4.32.2' bevatten</assert>
        <assert role="error" test="string-length(normalize-space(@displayName)) &gt; 0"
            >COCT_MT120000NL_JE: @displayName is verplicht</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="TS"/>
    </rule>
    <rule context="$element/hl7:value">
        <extends rule="ST"/>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT120000NL_JE: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_JE: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
        
    <rule context="$element/hl7:performer">
        <assert role="error" test="not(@typeCode) or  @typeCode='PRF'"
            >COCT_MT120000NL_JE: @typeCode moet, indien anwezig, 'PRF' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_JE: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT120000NL_JE: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_JE: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>

</pattern>