<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.119
Name: A_OntvangenZorg [universal]
Description: COCT_RM900917NL: Gegevens van de zorg die ontvangen is of wordt ontvangen door het gezin.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000">
   <title>A_OntvangenZorg [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-dcc5f237-6102-4345-bf91-552ba263b527">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision)&gt;=1 and not(hl7:patientCareProvision/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision)&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-a10f56bc-f9ea-4080-b68b-94144f6fff2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(A_OntvangenZorg-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&lt;=1">(A_OntvangenZorg-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:goal)&lt;=1">(A_OntvangenZorg-universal): element hl7:goal komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:reasonOf)&lt;=1">(A_OntvangenZorg-universal): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId"
         id="tmp-0dd02183-b76d-4cac-9631-b30fa597293c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.119'">(A_OntvangenZorg-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.119' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH']
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH']"
         id="tmp-c4ac9ec1-e365-4df2-9bbd-4f2796debc63">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0305_HL7 W0305 Type zorg (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0305_HL7 W0305 Type zorg (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text"
         id="tmp-eb422f09-b447-4113-8ab4-9c070000e981">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode"
         id="tmp-ff59672c-9df9-460d-9719-ad0cd9247e8c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code 'active' of code 'completed'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)='ASKU' or not(@nullFlavor)">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime"
         id="tmp-a485268f-0c99-4fdc-9341-255b392e3c2f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low"
         id="tmp-e6db5efd-74ec-43c8-ab89-f146dd2fe3dd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high"
         id="tmp-2454d5d5-a7db-47b6-8875-6f98113d165e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject"
         id="tmp-4d854bb5-d09a-465e-8562-d4c6a286afbb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:patient
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:patient"
         id="tmp-17bdb20b-01b8-4892-ba3f-80786caca749">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]"
         id="tmp-70e265ca-60db-4d2a-bc7c-3f5c5985adfc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-362e5fd9-fe78-4b42-9964-b83cbf5f5956">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_OntvangenZorg-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0307_HL7 W0307 Zorg voor (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0307_HL7 W0307 Zorg voor (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder"
         id="tmp-53e10db0-cac5-4a1a-a532-7902470ae4fa">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(A_OntvangenZorg-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(A_OntvangenZorg-universal): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-733a57db-a337-4062-b260-7606fdcff1e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:observationGoal is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal)&lt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal"
         id="tmp-fefcced5-96f6-42e6-8f71-87a357ebf2bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-3bb16621-3a0a-4fe2-a3c9-edb3e5b94632">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code '829' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:text"
         id="tmp-43f7c797-a506-4baa-aee0-fb75d4822753">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-6fc92d9f-f7ac-4135-94b9-4206156fdcbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation)&gt;=1 and not(hl7:patientCareObservation/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation)&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation"
         id="tmp-68ccaae3-5e19-4279-b08c-7ab5b0d7a924">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(A_OntvangenZorg-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_OntvangenZorg-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-689a1438-9f61-45b8-9521-50d3ce75a574">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code '365' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:value
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:value"
         id="tmp-10807388-ceb8-42cf-a9a4-d503d5ffe786">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
