<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.180
Name: Bericht 4 Versturen vaccinaties (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000">
   <title>Bericht 4 Versturen vaccinaties (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]"
         id="tmp-abfe88ab-fd8c-4dc1-a6d3-6bd6eb48c9a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:CareProvisionEvent)&gt;=1 and not(hl7:CareProvisionEvent/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:CareProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:CareProvisionEvent)&lt;=1">(VersturenVaccinaties-payload): element hl7:CareProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]"
         id="tmp-56874948-4f2f-4d63-986c-6c91cbe60aac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(VersturenVaccinaties-payload): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&lt;=1">(VersturenVaccinaties-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenVaccinaties-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:statusCode)&lt;=1">(VersturenVaccinaties-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenVaccinaties-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component)&lt;=1">(VersturenVaccinaties-payload): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:templateId
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:templateId"
         id="tmp-c1196f27-1465-4259-82d4-4b175b25f02a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.180'">(VersturenVaccinaties-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.180' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:id
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:id"
         id="tmp-e69da41f-89fe-47d6-b434-7248d9fb3511">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-b3c7d569-6fe3-4005-a8be-3be860330f04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code 'CPHC' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:statusCode
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:statusCode"
         id="tmp-37933eaa-b73b-48ef-b007-d389c3a6f50c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='aborted') or (@code='completed')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code 'active' of code 'aborted' of code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime
Item: (PeriodeZorg)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime"
         id="tmp-92de6da4-090b-4e67-8fca-bc69370a9cd8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:low"
         id="tmp-5e85abe7-61fb-4801-8728-d1336b68ad4e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:high"
         id="tmp-16d6a523-7e9e-4145-99aa-58b10d0b8682">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]
Item: (VersturenVaccinaties-payload)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]"
         id="tmp-7effe372-3b6b-4144-810e-93d176b70bfa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(VersturenVaccinaties-payload): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenVaccinaties-payload)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-bdf8b349-b536-40f4-b4ea-ad636f657f2f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenVaccinaties-payload)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-ad91d680-c3c8-45e3-80bd-a1cd2cb74d37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]"
         id="tmp-0d686c2f-4e13-43fa-9e02-eb0c44af5dd3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:encounterEvent)&gt;=1 and not(hl7:encounterEvent/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:encounterEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:encounterEvent)&lt;=1">(VersturenVaccinaties-payload): element hl7:encounterEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent"
         id="tmp-bad53c4d-3317-49bd-887c-c3b95bb7dca1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VersturenVaccinaties-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(VersturenVaccinaties-payload): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenVaccinaties-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="count(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]])&gt;=1 and not(hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/@nullFlavor)">(VersturenVaccinaties-payload): element hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:id
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:id"
         id="tmp-70522813-09fd-4071-9994-39a26064614d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]"
         id="tmp-00e8f6da-2182-4f5d-8770-a82c7bea210d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')">(VersturenVaccinaties-payload): de elementwaarde MOET zijn code '01' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '02' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '03' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '04' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '05' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '06' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '07' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '08' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '09' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '10' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '11' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '12' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '13' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '14' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '15' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '16' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '17' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '18' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '19' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '20' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '21' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '22' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '23' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '24' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '25' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '26' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '27' codeSystem '2.16.840.1.113883.2.4.4.40.308' of code '97' codeSystem '2.16.840.1.113883.2.4.4.40.308'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:effectiveTime
Item: (VersturenVaccinaties-payload)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:effectiveTime"
         id="tmp-5e8f780c-4f15-4c0a-a17b-50480d73d878">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinaties-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="matches(@value,'^[0-9]{8}')">(VersturenVaccinaties-payload): 
                                <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.180
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]
Item: (VersturenVaccinaties-payload)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]"
         id="tmp-d38b0193-8b5a-499e-829d-839d022b83ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.180-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VersturenVaccinaties-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
