<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.14
Name: Versturen vaccinaties (interactie)
Description: Versturen vaccinatie. De waarde voor het element acceptAckCode is "AL".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000">
   <title>Versturen vaccinaties (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: (VersturenVaccinaties)
-->

<rule context="hl7:REPC_IN002140NL"
         id="tmp-618b3fe8-924e-452a-bc81-ee0a29895f20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenVaccinaties): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenVaccinaties): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenVaccinaties): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenVaccinaties): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenVaccinaties): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenVaccinaties): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenVaccinaties): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenVaccinaties): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenVaccinaties): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenVaccinaties): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenVaccinaties): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenVaccinaties): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenVaccinaties): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenVaccinaties): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenVaccinaties): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(VersturenVaccinaties): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:attentionLine)&lt;=1">(VersturenVaccinaties): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(VersturenVaccinaties): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:receiver)&lt;=1">(VersturenVaccinaties): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(VersturenVaccinaties): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:sender)&lt;=1">(VersturenVaccinaties): element hl7:sender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenVaccinaties): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenVaccinaties): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:id"
         id="tmp-d3aa6ff6-8e05-4db2-9db5-e6eec41e86b3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:creationTime"
         id="tmp-29370edc-831d-4447-910a-4ef8ac7614ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:versionCode"
         id="tmp-de0acac3-9718-41d8-ba76-171dd7d2a403">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'NICTIZEd2005-Okt'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-1cd91aa7-f497-4261-95de-7c6bfa5d2b5f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-833f18f4-4e91-4d66-8161-d477006d8dca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="string(@extension)='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingCode"
         id="tmp-811a14ee-c8a5-4043-82d9-b5fef0dee8ca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'P'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingModeCode"
         id="tmp-3382b1eb-12b0-4c6b-86aa-920fc7c54906">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'T'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100
Context: hl7:REPC_IN002140NL/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002140NL/hl7:acceptAckCode"
         id="tmp-e4247a4d-9134-4616-90cd-151fdb035c05">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100-2012-08-01T000000.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de elementwaarde MOET zijn code 'AL' of code 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:REPC_IN002140NL
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:REPC_IN002140NL/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine"
         id="tmp-bc7c36d1-a982-4659-9e15-7a0af6969eb9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:keyWordText)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:REPC_IN002140NL/hl7:attentionLine/hl7:keyWordText
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine/hl7:keyWordText"
         id="tmp-8793d7e3-1ab9-40f8-958f-dfc9de3a7806">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='SC' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de elementwaarde MOET zijn code 'PATID' codeSystem '2.16.840.1.113883.2.4.15.1'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.105
Context: hl7:REPC_IN002140NL/hl7:attentionLine/hl7:value
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002140NL/hl7:attentionLine/hl7:value"
         id="tmp-bee4c772-27bc-4ef5-b8e7-66841cf0a5c1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(TransmissionWrapperAttentionLineAORTA): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:REPC_IN002140NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver"
         id="tmp-56886a59-fdfe-4fcd-9c3c-95fd76357cea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@typeCode)='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device"
         id="tmp-b9861000-50ee-4756-97df-85e2e7dd7400">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-fd9d99d7-2980-4f99-8ef9-262b5640512a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.1
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-8b5daed0-2888-46bf-a0f1-9db78c585067">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:REPC_IN002140NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender"
         id="tmp-ff3f2e74-df69-46f8-93d4-06383dfb25d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@typeCode)='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device"
         id="tmp-38788852-8338-4f5e-9b97-213a4cd73ac2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-2be8aa5b-a050-474b-ac46-b30b6cfdc2e9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.100.3
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-ba54e155-41f0-4752-bc35-d302a54168cd">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='EN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (VersturenVaccinaties)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess"
         id="tmp-68495566-daf6-487a-8eda-d20a60d3f3c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenVaccinaties): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenVaccinaties): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:text)=0">(VersturenVaccinaties): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinaties): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:reasonCode)=0">(VersturenVaccinaties): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:languageCode)=0">(VersturenVaccinaties): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:informationRecipient)=0">(VersturenVaccinaties): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:dataEnterer)=0">(VersturenVaccinaties): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedPerson]/@nullFlavor)">(VersturenVaccinaties): element hl7:authorOrPerformer[*/hl7:AssignedPerson] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1">(VersturenVaccinaties): element hl7:authorOrPerformer[*/hl7:AssignedPerson] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">(VersturenVaccinaties): element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:overseer)&lt;=1">(VersturenVaccinaties): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/@nullFlavor)">(VersturenVaccinaties): element hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]])&lt;=1">(VersturenVaccinaties): element hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id"
         id="tmp-ba9640e2-c267-45b5-8c33-160eb62132ef">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code"
         id="tmp-28025d2c-aa5f-4562-872d-ee8131e6cae7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.1.18'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-bb4ea5d9-baef-47fd-bde5-6c8363db1927">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-753e0878-a891-4986-b687-40f5f53e6448">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-fdc782f2-9662-410b-8107-29e7f79cb74c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-5feaf134-fd6f-49d1-a755-40caaa2f2402">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-ec66ed47-062a-4d9f-ab70-565c03ed0e37">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActAuthorOrPerformerPerson): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-aedb680c-599f-4694-a7f9-e93b07e2444a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-54d4be91-882c-4352-8b77-497c45de6665">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-37f71f0e-7783-4dd9-b048-08588bf3757d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-2a576ba0-0c08-4334-943a-55dc83bcee40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-1f853cc1-1fa5-4577-8b76-caca7498498d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerPerson): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-9e3badcd-074c-4100-9352-90f0024974df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-6fd6bd1a-8e65-4986-b241-dfde07188cb3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-249ad0cd-6354-492f-9f3b-490fb2a4d08d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.2
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-5c621216-7f72-4595-a785-fc3e74437fea">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-85870054-ce5d-4467-afa1-20f489d42f7f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-b1b69285-f035-4ef2-ba3d-a4a2a45efb36">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-6a42f9b4-5cf4-4033-bb62-8ecd11504c31">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActOverseerPerson): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-b3269b9a-2350-4448-925a-abad5d5e875b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-0354562c-a4d7-463c-ab55-880b47530c47">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-87850d9c-a386-445c-a267-3a43dcb547d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-731f5d48-f17f-4bea-9446-4f89aab95cff">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-19a3695b-9f5a-4f82-9790-4e7cb4fa2885">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-1085c1a8-9ea6-4b25-9fb1-21f2f4ca324a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-5259b0be-ed38-43ba-aaf7-0aca56bdb5c4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='CV' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-801375cb-dcf5-4d59-aeb5-1ccd919f6b78">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.200.3
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-a2fb45dc-b0e0-426c-b54d-e2112caf884f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]
Item: (VersturenVaccinaties)
-->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]"
         id="tmp-7a7bd8f8-e2d2-4075-affd-e8e5dfe0e514">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(VersturenVaccinaties): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/*[not(self::hl7:id|self::hl7:creationTime|self::hl7:versionCode|self::hl7:interactionId[@root='2.16.840.1.113883.1.6']|self::hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']|self::hl7:processingCode|self::hl7:processingModeCode|self::hl7:acceptAckCode|self::hl7:attentionLine|self::hl7:receiver|self::hl7:sender|self::hl7:ControlActProcess)]"
         id="tmp-9eea374f-021e-4c39-a704-b787020531ad">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-9eea374f-021e-4c39-a704-b787020531ad: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:attentionLine/*[not(self::hl7:keyWordText|self::hl7:value)]"
         id="tmp-bbc166db-dc78-4d0d-aacc-1012c191dc88">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.105-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperAttentionLineAORTA)/tmp-bbc166db-dc78-4d0d-aacc-1012c191dc88: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:receiver/*[not(self::hl7:device)]"
         id="tmp-dc1912ac-6984-4fa9-a883-06f04f846a61">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperReceiverNotZIM)/tmp-dc1912ac-6984-4fa9-a883-06f04f846a61: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.6']|self::hl7:name)]"
         id="tmp-ed687c6d-d9c9-439a-86c9-921ee028a828">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.1-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperReceiverNotZIM)/tmp-ed687c6d-d9c9-439a-86c9-921ee028a828: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:sender/*[not(self::hl7:device)]"
         id="tmp-596c76f3-4833-4b6a-86f1-05a85afc112a">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperSenderNotZIM)/tmp-596c76f3-4833-4b6a-86f1-05a85afc112a: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.6']|self::hl7:name)]"
         id="tmp-48e11ee8-2702-4066-a642-863a09d3e8a0">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.100.3-2012-08-01T000000.html"
              test="not(.)">(TransmissionWrapperSenderNotZIM)/tmp-48e11ee8-2702-4066-a642-863a09d3e8a0: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/*[not(self::hl7:id|self::hl7:code|self::hl7:text|self::hl7:effectiveTime|self::hl7:reasonCode|self::hl7:languageCode|self::hl7:informationRecipient|self::hl7:dataEnterer|self::hl7:authorOrPerformer[*/hl7:AssignedPerson]|self::hl7:overseer|self::hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]])]"
         id="tmp-335e6e60-96e5-4dcc-a659-7338920fcade">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-335e6e60-96e5-4dcc-a659-7338920fcade: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/*[not(self::hl7:participant)]"
         id="tmp-dd0f1cd7-cb20-438a-bead-c46d0dacb46c">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerPerson)/tmp-dd0f1cd7-cb20-438a-bead-c46d0dacb46c: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/*[not(self::hl7:AssignedPerson)]"
         id="tmp-28702c79-1a74-406f-90d3-4886cedf34e2">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerPerson)/tmp-28702c79-1a74-406f-90d3-4886cedf34e2: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/*[not(self::hl7:id[@root='2.16.528.1.1007.3.1']|self::hl7:code|self::hl7:telecom|self::hl7:name|self::hl7:noteText|self::hl7:time|self::hl7:modeCode|self::hl7:signatureCode|self::hl7:signatureText|self::hl7:Organization)]"
         id="tmp-a4303e91-978e-45e0-a2b8-d34a4a2af78a">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerPerson)/tmp-a4303e91-978e-45e0-a2b8-d34a4a2af78a: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/*[not(self::hl7:id[@root='2.16.528.1.1007.3.3']|self::hl7:code|self::hl7:telecom|self::hl7:name|self::hl7:addr)]"
         id="tmp-fcb2ed40-cfee-4d8e-9658-810947fa88e0">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.2-2012-08-01T000000.html"
              test="not(.)">(ControlActAuthorOrPerformerPerson)/tmp-fcb2ed40-cfee-4d8e-9658-810947fa88e0: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/*[not(self::hl7:AssignedPerson)]"
         id="tmp-9ceb2a4f-3e9e-44e5-9edb-8e2ba38483a8">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="not(.)">(ControlActOverseerPerson)/tmp-9ceb2a4f-3e9e-44e5-9edb-8e2ba38483a8: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/*[not(self::hl7:id[@root='2.16.528.1.1007.3.1']|self::hl7:code|self::hl7:assignedPrincipalChoiceList|self::hl7:Organization)]"
         id="tmp-11f17368-2c70-462a-ad35-8a720aa05707">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="not(.)">(ControlActOverseerPerson)/tmp-11f17368-2c70-462a-ad35-8a720aa05707: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/*[not(self::hl7:assignedPerson)]"
         id="tmp-5d0d1827-0a41-4710-8df3-5b531ba7bbf9">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="not(.)">(ControlActOverseerPerson)/tmp-5d0d1827-0a41-4710-8df3-5b531ba7bbf9: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-7aa4c7c1-6c61-4628-bcb1-22528c7932dc">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="not(.)">(ControlActOverseerPerson)/tmp-7aa4c7c1-6c61-4628-bcb1-22528c7932dc: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/*[not(self::hl7:id|self::hl7:code|self::hl7:name|self::hl7:addr)]"
         id="tmp-710b87f2-e8d9-4e61-8d56-e0908b4e939d">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.200.3-2012-08-01T000000.html"
              test="not(.)">(ControlActOverseerPerson)/tmp-710b87f2-e8d9-4e61-8d56-e0908b4e939d: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/*[not(self::hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']])]"
         id="tmp-72e24c87-257f-401f-bc98-d03dab2767e5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-72e24c87-257f-401f-bc98-d03dab2767e5: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']|self::hl7:id|self::hl7:code[(@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')]|self::hl7:statusCode|self::hl7:effectiveTime|self::hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]|self::hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]|self::hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]|self::hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]])]"
         id="tmp-6da1c68a-0450-4af8-b146-6be78ef25fd4">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-6da1c68a-0450-4af8-b146-6be78ef25fd4: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high|self::hl7:width|self::hl7:center)]"
         id="tmp-2a183882-497b-4566-a66a-0b66bcc3c814">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="not(.)">(PeriodeZorg)/tmp-2a183882-497b-4566-a66a-0b66bcc3c814: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/*[not(self::hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']])]"
         id="tmp-06de66be-62d1-499b-8f47-c8ca24881e5a">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-06de66be-62d1-499b-8f47-c8ca24881e5a: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/hl7:patient/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']|self::hl7:id|self::hl7:addr|self::hl7:patientPerson)]"
         id="tmp-4535e93c-22d5-4011-a7cb-e55c932fc5a3">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-4535e93c-22d5-4011-a7cb-e55c932fc5a3: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/hl7:patient/hl7:addr/*[not(self::hl7:streetName|self::hl7:houseNumber|self::hl7:buildingNumberSuffix|self::hl7:additionalLocator|self::hl7:postalCode|self::hl7:county|self::hl7:city|self::hl7:country|self::hl7:desc|self::hl7:useablePeriod)]"
         id="tmp-3756b9f2-c65f-4c60-9109-13a2ae420f6e">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(.)">(AdresKind)/tmp-3756b9f2-c65f-4c60-9109-13a2ae420f6e: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/hl7:patient/hl7:addr/hl7:useablePeriod/*[not(self::hl7:low|self::hl7:high|self::hl7:width|self::hl7:center)]"
         id="tmp-8258f212-e39c-4cff-b3e9-760c06b597a1">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="not(.)">(PeriodeGeldigheidAdresKind)/tmp-8258f212-e39c-4cff-b3e9-760c06b597a1: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/hl7:patient/hl7:patientPerson/*[not(self::hl7:name|self::hl7:administrativeGenderCode|self::hl7:birthTime)]"
         id="tmp-b8635f3f-02ff-41ba-9b01-ab5f0907ac31">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-b8635f3f-02ff-41ba-9b01-ab5f0907ac31: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]]/hl7:patient/hl7:patientPerson/hl7:name/*[not(self::hl7:given|self::hl7:prefix|self::hl7:family)]"
         id="tmp-f9593dff-cc27-45d5-9f30-d11e4be74bc5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-f9593dff-cc27-45d5-9f30-d11e4be74bc5: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/*[not(self::hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']])]"
         id="tmp-6adb7f31-242c-457f-b9c7-152bcba26109">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-6adb7f31-242c-457f-b9c7-152bcba26109: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:assignedEntity/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']|self::hl7:id[@root='2.16.528.1.1007.3.1']|self::hl7:id[@root='2.16.528.1.1007.3.3']|self::hl7:representedOrganization)]"
         id="tmp-fce87488-77de-4255-b0e7-c8bfa826ccfb">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-fce87488-77de-4255-b0e7-c8bfa826ccfb: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id[@root='2.16.528.1.1007.3.3'])]"
         id="tmp-3a543f73-88e1-4186-b252-c45949cb0b1a">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-3a543f73-88e1-4186-b252-c45949cb0b1a: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/*[not(self::hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']])]"
         id="tmp-c1031ab7-f460-4d89-a687-b7b7a08841ce">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-c1031ab7-f460-4d89-a687-b7b7a08841ce: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:assignedEntity/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']|self::hl7:id[@root='2.16.528.1.1007.3.1']|self::hl7:id[@root='2.16.528.1.1007.3.3']|self::hl7:representedOrganization)]"
         id="tmp-cd07d607-f5d9-40c9-9b8e-9a8f1302b843">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-cd07d607-f5d9-40c9-9b8e-9a8f1302b843: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id[@root='2.16.528.1.1007.3.3'])]"
         id="tmp-5933814c-d27e-4ecf-a7c9-a5eb4e36c919">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-5933814c-d27e-4ecf-a7c9-a5eb4e36c919: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/*[not(self::hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])]"
         id="tmp-e8b7935a-4221-47b1-94f9-51741d99d605">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-e8b7935a-4221-47b1-94f9-51741d99d605: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/*[not(self::hl7:id|self::hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]|self::hl7:effectiveTime|self::hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]])]"
         id="tmp-3550aaf2-c680-45ab-a03c-7d6bd8cb1278">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-3550aaf2-c680-45ab-a03c-7d6bd8cb1278: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/*[not(self::hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']])]"
         id="tmp-49ee4120-518e-4de5-9e90-4a267840485d">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-49ee4120-518e-4de5-9e90-4a267840485d: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']|self::hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]|self::hl7:effectiveTime|self::hl7:consumable|self::hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]|self::hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]])]"
         id="tmp-68eb6715-b6d5-4855-a876-96c53609152d">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-68eb6715-b6d5-4855-a876-96c53609152d: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:consumable/*[not(self::hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]])]"
         id="tmp-c2fe791d-3cdb-4ebe-a384-1b1905672170">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-c2fe791d-3cdb-4ebe-a384-1b1905672170: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/*[not(self::hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']])]"
         id="tmp-246c2379-4efb-4707-ad15-e1e3ee6aae24">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-246c2379-4efb-4707-ad15-e1e3ee6aae24: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']]]/hl7:administrableMedicine/*[not(self::hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.76') or @nullFlavor='OTH']|self::hl7:lotNumberText)]"
         id="tmp-6699bbcc-211d-4b1c-9a4c-2c965e7a4c35">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-6699bbcc-211d-4b1c-9a4c-2c965e7a4c35: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/*[not(self::hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']])]"
         id="tmp-483a3c98-54e5-4934-b19a-f6bb87310adf">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-483a3c98-54e5-4934-b19a-f6bb87310adf: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity/*[not(self::hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']|self::hl7:representedOrganization)]"
         id="tmp-c05cc2b6-022e-4b1a-8e16-5951733518c0">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-c05cc2b6-022e-4b1a-8e16-5951733518c0: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id[@root='2.16.528.1.1007.3.3']|self::hl7:name|self::hl7:organizationContains)]"
         id="tmp-663ccaa9-c321-4085-86f9-8f11a78aafd5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-663ccaa9-c321-4085-86f9-8f11a78aafd5: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity/hl7:representedOrganization/hl7:organizationContains/*[not(self::hl7:partOrganization)]"
         id="tmp-e87235da-04fc-4f55-980f-97fe50e6bd09">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-e87235da-04fc-4f55-980f-97fe50e6bd09: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity/hl7:representedOrganization/hl7:organizationContains/hl7:partOrganization/*[not(self::hl7:id|self::hl7:name)]"
         id="tmp-fa808695-5b7f-411f-a0fb-0a5218cb0570">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-fa808695-5b7f-411f-a0fb-0a5218cb0570: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/*[not(self::hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])]"
         id="tmp-2825b72a-17f3-4c72-a56e-bd13f602d260">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-2825b72a-17f3-4c72-a56e-bd13f602d260: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/*[not(self::hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]|self::hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])]"
         id="tmp-fd498e41-409f-41e7-8a65-85971a75cdc5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-fd498e41-409f-41e7-8a65-85971a75cdc5: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/*[not(self::hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])]"
         id="tmp-b2c56a50-001e-4e62-8318-5c6efa3407cb">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-b2c56a50-001e-4e62-8318-5c6efa3407cb: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>

   <!-- This is a closed template/element. Match context that we did not already match -->
<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']]]/hl7:CareProvisionEvent/hl7:component[hl7:encounterEvent[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]]/hl7:encounterEvent/hl7:component[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]]/hl7:substanceAdministrationEvent/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/*[not(self::hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]|self::hl7:value)]"
         id="tmp-e78e4171-53cc-4d04-a0ad-a5ac716b156f">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130425T101209/tmp-2.16.840.1.113883.2.4.6.10.100.14-2012-08-01T000000.html"
              test="not(.)">(VersturenVaccinaties)/tmp-e78e4171-53cc-4d04-a0ad-a5ac716b156f: '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan.</assert>
   </rule>
</pattern>
